Search
POST/payments/search
Searches payments.
Body ParametersJSON
payment_flow_id: optional string
Filter by payment flow ID.
Returns
Search
curl https://api.us-west-2.fragment.dev/billing/payments/search \
-X POST{
"data": [
{
"id": "pmt_abc123",
"amount": "10000",
"created": "2024-01-01T00:00:00.000Z",
"currency": "USD",
"direction": "payin",
"modified": "2024-01-01T00:00:00.000Z",
"payment_account_id": "pmt_account_abc123",
"payment_flow_id": "pf_xyz789",
"status": "settled",
"transaction_ids": [
"txn_abc123"
],
"external_id": "pmt_ext_123"
}
]
}Returns Examples
{
"data": [
{
"id": "pmt_abc123",
"amount": "10000",
"created": "2024-01-01T00:00:00.000Z",
"currency": "USD",
"direction": "payin",
"modified": "2024-01-01T00:00:00.000Z",
"payment_account_id": "pmt_account_abc123",
"payment_flow_id": "pf_xyz789",
"status": "settled",
"transaction_ids": [
"txn_abc123"
],
"external_id": "pmt_ext_123"
}
]
}